EUARE-INSTANCEPROFILECREATE(1)

NAME
euare-instanceprofilecreate - Create a new instance profile

SYNOPSIS
euare-instanceprofilecreate [-p PATH] [-r ROLE | --create-role] [-v]

[--as-account ACCOUNT] [-U URL]
    [--region USER@REGION] [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h] IPROFILE

DESCRIPTION
Create a new instance profile

  positional arguments:

IPROFILE
    name of the new instance profile (required)

  optional arguments:

-p PATH, --path PATH
    path for the new instance profile (default: "/")

-r ROLE, --add-role ROLE
    also add a role to the new instance profile

--create-role
    also create a role with the same name and path and add it to the instance profile

-v, --verbose
    print the new instance profile's ARN and GUID

--as-account ACCOUNT
    [Eucalyptus cloud admin only] run this command as the administrator of another account

-U URL, --url URL
    identity service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit